﻿@using FestivalKarte.ViewModels
@model FestivalKartaViewModel

@{
    ViewBag.Title = "Details";

}

<h2>Details</h2>

<div>
    <h4>Festival</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Festival.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Festival.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Festival.Place)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Festival.Place)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Festival.Date)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Festival.Date)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Festival.Rate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Festival.Rate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Festival.MaxVisitors)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Festival.MaxVisitors)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Festival.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>
<p>Lista karata: </p>
@{
    Html.RenderPartial("_CardsList");
}
<p class="clearfix">
    <button id="filter" class="btn btn-default btn-lg pull-left">Add Card</button>
</p>

<div id="filterForm" class="hidden">

    @using (Html.BeginForm("Details", "Festivals", FormMethod.Post))
    {

        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h4>Karta</h4>
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-group">
                @Html.LabelFor(model => model.Karta.Price, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Karta.Price, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Karta.Price, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Karta.PurchaseDate, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Karta.PurchaseDate, new { htmlAttributes = new { type = "Date", @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Karta.PurchaseDate, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Karta.FullName, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Karta.FullName, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Karta.FullName, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Karta.Taken, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    <div class="checkbox">
                        @Html.EditorFor(model => model.Karta.Taken)
                        @Html.ValidationMessageFor(model => model.Karta.Taken, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Karta.FestivalId, "Festival", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownListFor(m => m.Karta.FestivalId, (SelectList)ViewBag.FestivalId, htmlAttributes: new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.Karta.FestivalId, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Karta.TipKarteId, "TipKarte", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownListFor(m => m.Karta.TipKarteId, (SelectList)ViewBag.TipKarteId, htmlAttributes: new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.Karta.TipKarteId, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Create" class="btn btn-default" />
                </div>
            </div>
        </div>
    }

</div>



@section scripts
{
    <script src="~/Scripts/createJs.js"></script>
    <script src="~/Scripts/jQueryValidation.js"></script>
}